<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer2Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer2_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer2Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Common definitions for Timers. <a class="el" href="km_timer2_defs_8h.html" title="Common definitions for Timers. kmTimer2Defs.h.">kmTimer2Defs.h</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
</div>
<p><a href="km_timer2_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a089c052fd1f5d9f9a52955b72a9d7008" id="r_a089c052fd1f5d9f9a52955b72a9d7008"><td class="memItemLeft" align="right" valign="top"><a id="a089c052fd1f5d9f9a52955b72a9d7008" name="a089c052fd1f5d9f9a52955b72a9d7008"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>COM2C0</b></td></tr>
<tr class="separator:a089c052fd1f5d9f9a52955b72a9d7008"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1c19efddc89ecab5c0f5d11feb9691" id="r_a0c1c19efddc89ecab5c0f5d11feb9691"><td class="memItemLeft" align="right" valign="top"><a id="a0c1c19efddc89ecab5c0f5d11feb9691" name="a0c1c19efddc89ecab5c0f5d11feb9691"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_STOP</b>&#160;&#160;&#160;(KM_COMMON_ALL_BITS_CLEARED				)</td></tr>
<tr class="memdesc:a0c1c19efddc89ecab5c0f5d11feb9691"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Disabled. <br /></td></tr>
<tr class="separator:a0c1c19efddc89ecab5c0f5d11feb9691"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2895ccc6a644436ef170b12084772ffc" id="r_a2895ccc6a644436ef170b12084772ffc"><td class="memItemLeft" align="right" valign="top"><a id="a2895ccc6a644436ef170b12084772ffc" name="a2895ccc6a644436ef170b12084772ffc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_1</b>&#160;&#160;&#160;(							_BV(CS20)	)</td></tr>
<tr class="memdesc:a2895ccc6a644436ef170b12084772ffc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:a2895ccc6a644436ef170b12084772ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d2c8839885c3a7b13c9e58d7f62f272" id="r_a2d2c8839885c3a7b13c9e58d7f62f272"><td class="memItemLeft" align="right" valign="top"><a id="a2d2c8839885c3a7b13c9e58d7f62f272" name="a2d2c8839885c3a7b13c9e58d7f62f272"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_8</b>&#160;&#160;&#160;(				_BV(CS21)				)</td></tr>
<tr class="memdesc:a2d2c8839885c3a7b13c9e58d7f62f272"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 8. <br /></td></tr>
<tr class="separator:a2d2c8839885c3a7b13c9e58d7f62f272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b9df66319dba38ba07ff2a9d879e971" id="r_a2b9df66319dba38ba07ff2a9d879e971"><td class="memItemLeft" align="right" valign="top"><a id="a2b9df66319dba38ba07ff2a9d879e971" name="a2b9df66319dba38ba07ff2a9d879e971"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_32</b>&#160;&#160;&#160;(				_BV(CS21) |	_BV(CS20)	)</td></tr>
<tr class="memdesc:a2b9df66319dba38ba07ff2a9d879e971"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 32. <br /></td></tr>
<tr class="separator:a2b9df66319dba38ba07ff2a9d879e971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9dc17f7bde1878dcc5d0cc4d9830572" id="r_ab9dc17f7bde1878dcc5d0cc4d9830572"><td class="memItemLeft" align="right" valign="top"><a id="ab9dc17f7bde1878dcc5d0cc4d9830572" name="ab9dc17f7bde1878dcc5d0cc4d9830572"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_64</b>&#160;&#160;&#160;(	_BV(CS22)							)</td></tr>
<tr class="memdesc:ab9dc17f7bde1878dcc5d0cc4d9830572"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:ab9dc17f7bde1878dcc5d0cc4d9830572"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef23557195b788cbd0d43db01ee66da4" id="r_aef23557195b788cbd0d43db01ee66da4"><td class="memItemLeft" align="right" valign="top"><a id="aef23557195b788cbd0d43db01ee66da4" name="aef23557195b788cbd0d43db01ee66da4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_128</b>&#160;&#160;&#160;(	_BV(CS22) |				_BV(CS20)	)</td></tr>
<tr class="memdesc:aef23557195b788cbd0d43db01ee66da4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 128. <br /></td></tr>
<tr class="separator:aef23557195b788cbd0d43db01ee66da4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab93c30acd4e1f9b317c1852826d77f40" id="r_ab93c30acd4e1f9b317c1852826d77f40"><td class="memItemLeft" align="right" valign="top"><a id="ab93c30acd4e1f9b317c1852826d77f40" name="ab93c30acd4e1f9b317c1852826d77f40"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_256</b>&#160;&#160;&#160;(	_BV(CS22) |	_BV(CS21)				)</td></tr>
<tr class="memdesc:ab93c30acd4e1f9b317c1852826d77f40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:ab93c30acd4e1f9b317c1852826d77f40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e3be548c66ac52430a1789a6389265b" id="r_a7e3be548c66ac52430a1789a6389265b"><td class="memItemLeft" align="right" valign="top"><a id="a7e3be548c66ac52430a1789a6389265b" name="a7e3be548c66ac52430a1789a6389265b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS22) |	_BV(CS21) |	_BV(CS20)	)</td></tr>
<tr class="memdesc:a7e3be548c66ac52430a1789a6389265b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer2 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:a7e3be548c66ac52430a1789a6389265b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cdfb45a5c930decd15af03f662ee523" id="r_a4cdfb45a5c930decd15af03f662ee523"><td class="memItemLeft" align="right" valign="top"><a id="a4cdfb45a5c930decd15af03f662ee523" name="a4cdfb45a5c930decd15af03f662ee523"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#a7e3be548c66ac52430a1789a6389265b">KM_TCC2_PRSC_1024</a></td></tr>
<tr class="memdesc:a4cdfb45a5c930decd15af03f662ee523"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer2 (allows to clear prescaler) <br /></td></tr>
<tr class="separator:a4cdfb45a5c930decd15af03f662ee523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe62258413bd43e149d1140a1de9a636" id="r_afe62258413bd43e149d1140a1de9a636"><td class="memItemLeft" align="right" valign="top"><a id="afe62258413bd43e149d1140a1de9a636" name="afe62258413bd43e149d1140a1de9a636"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_2_MODE_0</b>&#160;&#160;&#160;(		KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:afe62258413bd43e149d1140a1de9a636"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer2 mode 0 - Normal top value 0xFF. <br /></td></tr>
<tr class="separator:afe62258413bd43e149d1140a1de9a636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfa1df52898f7f2a53738ad907e91dce" id="r_acfa1df52898f7f2a53738ad907e91dce"><td class="memItemLeft" align="right" valign="top"><a id="acfa1df52898f7f2a53738ad907e91dce" name="acfa1df52898f7f2a53738ad907e91dce"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_2_MODE_1</b>&#160;&#160;&#160;(						_BV(WGM20)	)</td></tr>
<tr class="memdesc:acfa1df52898f7f2a53738ad907e91dce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer2 mode 1 - PWM, Phase Correct top 0xFF. <br /></td></tr>
<tr class="separator:acfa1df52898f7f2a53738ad907e91dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf02034da81eb72ab167419b18ae2934" id="r_aaf02034da81eb72ab167419b18ae2934"><td class="memItemLeft" align="right" valign="top"><a id="aaf02034da81eb72ab167419b18ae2934" name="aaf02034da81eb72ab167419b18ae2934"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_2_MODE_2</b>&#160;&#160;&#160;(		_BV(WGM21)					)</td></tr>
<tr class="memdesc:aaf02034da81eb72ab167419b18ae2934"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer2 mode 2 - CTC top value OCR2 / OCRA. <br /></td></tr>
<tr class="separator:aaf02034da81eb72ab167419b18ae2934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4406282d514be85d1dd796b0474ec198" id="r_a4406282d514be85d1dd796b0474ec198"><td class="memItemLeft" align="right" valign="top"><a id="a4406282d514be85d1dd796b0474ec198" name="a4406282d514be85d1dd796b0474ec198"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC_2_MODE_3</b>&#160;&#160;&#160;(		_BV(WGM21) |	_BV(WGM20)	)</td></tr>
<tr class="memdesc:a4406282d514be85d1dd796b0474ec198"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer2 mode 3 - Fast PWM top value 0xFF. <br /></td></tr>
<tr class="separator:a4406282d514be85d1dd796b0474ec198"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab54d2b8de3fa5b71b0170598d7cf66e0" id="r_ab54d2b8de3fa5b71b0170598d7cf66e0"><td class="memItemLeft" align="right" valign="top"><a id="ab54d2b8de3fa5b71b0170598d7cf66e0" name="ab54d2b8de3fa5b71b0170598d7cf66e0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ab54d2b8de3fa5b71b0170598d7cf66e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC2 disconnected. <br /></td></tr>
<tr class="separator:ab54d2b8de3fa5b71b0170598d7cf66e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3ea862ef2dff9922392c23ad25b0a9a" id="r_af3ea862ef2dff9922392c23ad25b0a9a"><td class="memItemLeft" align="right" valign="top"><a id="af3ea862ef2dff9922392c23ad25b0a9a" name="af3ea862ef2dff9922392c23ad25b0a9a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM20)	)</td></tr>
<tr class="memdesc:af3ea862ef2dff9922392c23ad25b0a9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC2 on compare match. <br /></td></tr>
<tr class="separator:af3ea862ef2dff9922392c23ad25b0a9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b762708118404ce569496a54877539" id="r_ac0b762708118404ce569496a54877539"><td class="memItemLeft" align="right" valign="top"><a id="ac0b762708118404ce569496a54877539" name="ac0b762708118404ce569496a54877539"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM21)					)</td></tr>
<tr class="memdesc:ac0b762708118404ce569496a54877539"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC2 on compare match. <br /></td></tr>
<tr class="separator:ac0b762708118404ce569496a54877539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06bb8ce6f2c725f7f5d44f44a972ad3f" id="r_a06bb8ce6f2c725f7f5d44f44a972ad3f"><td class="memItemLeft" align="right" valign="top"><a id="a06bb8ce6f2c725f7f5d44f44a972ad3f" name="a06bb8ce6f2c725f7f5d44f44a972ad3f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM21) |	_BV(COM20)	)</td></tr>
<tr class="memdesc:a06bb8ce6f2c725f7f5d44f44a972ad3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC2 on compare match. <br /></td></tr>
<tr class="separator:a06bb8ce6f2c725f7f5d44f44a972ad3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cb0814a83944df85f13b774142c73ff" id="r_a8cb0814a83944df85f13b774142c73ff"><td class="memItemLeft" align="right" valign="top"><a id="a8cb0814a83944df85f13b774142c73ff" name="a8cb0814a83944df85f13b774142c73ff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a8cb0814a83944df85f13b774142c73ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC2 disconnected. <br /></td></tr>
<tr class="separator:a8cb0814a83944df85f13b774142c73ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d72545abe76ed3484ce50bdf452b130" id="r_a8d72545abe76ed3484ce50bdf452b130"><td class="memItemLeft" align="right" valign="top"><a id="a8d72545abe76ed3484ce50bdf452b130" name="a8d72545abe76ed3484ce50bdf452b130"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PWM_COMP_OUT_RESERVED</b>&#160;&#160;&#160;(				_BV(COM20)	)</td></tr>
<tr class="memdesc:a8d72545abe76ed3484ce50bdf452b130"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserver. <br /></td></tr>
<tr class="separator:a8d72545abe76ed3484ce50bdf452b130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d63cdf6821884e77d0260f6f73caee3" id="r_a7d63cdf6821884e77d0260f6f73caee3"><td class="memItemLeft" align="right" valign="top"><a id="a7d63cdf6821884e77d0260f6f73caee3" name="a7d63cdf6821884e77d0260f6f73caee3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</b>&#160;&#160;&#160;(_BV(COM21)					)</td></tr>
<tr class="memdesc:a7d63cdf6821884e77d0260f6f73caee3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC2 on compare match when up-counting, set OC2 on down-counting. <br /></td></tr>
<tr class="separator:a7d63cdf6821884e77d0260f6f73caee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206849ef6b4cfc71a30137d23acbe512" id="r_a206849ef6b4cfc71a30137d23acbe512"><td class="memItemLeft" align="right" valign="top"><a id="a206849ef6b4cfc71a30137d23acbe512" name="a206849ef6b4cfc71a30137d23acbe512"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC2_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</b>&#160;&#160;&#160;(_BV(COM21) |	_BV(COM20)	)</td></tr>
<tr class="memdesc:a206849ef6b4cfc71a30137d23acbe512"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC2 on compare match when down-counting, clear OC2 on up-counting. <br /></td></tr>
<tr class="separator:a206849ef6b4cfc71a30137d23acbe512"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common definitions for Timers. <a class="el" href="km_timer2_defs_8h.html" title="Common definitions for Timers. kmTimer2Defs.h.">kmTimer2Defs.h</a>. </p>
<p><b>Created on</b>: Aug 10, 2019 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmTimersCommon library for AVR MCUs <br  />
 <b>Copyright (C) 2019 Krzysztof Moskwa</b></p>
<p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer2_defs_8h.html">kmTimer2Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
